Subject: RE: Operations crossing replication contexts

From: Christopher Apple <[email-masked]>
Date: Fri, 5 Oct 2001 11:23:56 -0400

Strongly agree also. I can't see any real benefit to the folks
who actually have to use LDUP implementations to have to cope
with two ways of handling LDAPv3 replication depending on
how many contexts per server they need.

Steven: when could you have a revised I-D posted to the list
plus some bullets indicating changes implied for other documents?

Chris Apple
Program Manager - Integration Services
United Messaging Inc.
<http://www.unitedmessaging.com>
<mailto:[email-masked]> 
(V) +1 610 425 2860

-----Original Message-----
From: Mark Smith [mailto:[email-masked]]
Sent: Wednesday, October 03, 2001 9:14 AM
To: Timothy Hahn
Cc: [email-masked]
Subject: Re: Operations crossing replication contexts

Timothy Hahn wrote:
> 
> Steven,
> 
> I really feel that LDUP should address the issues involved in a single
> server handling multiple replication contexts.  If we don't I think we
> would be miss the mark by providing a replication model that would not
> meet the needs of LDAP directory deployments.
> 
> I agree that providing this implies changes to all the replication
> drafts - with exception, perhaps, of the requirements.  And since this
> probably has implications on the LDUP update protocol as well as the
> information model, it seems to me we should take the time to build it
> right now rather than have to build a whole new "version" to support
> mulitple replication contexts in a single server.

I strongly agree.  A directory server that supports only one replication
context, presumably for one contiguous subtree for the DIT, will not be
usable in many situations.

-- 
Mark Smith
Netscape

---

From: "Steven Legg" <[email-masked]>
Date: Mon, 8 Oct 2001 15:47:42 +1100

Chris,

> plus some bullets indicating changes implied for other documents?

I can submit a revised URP draft with the changes already agreed
during the last call period within a week or so, but for the changes
required to properly support partial replication, I think the best
approach is for me to write up the architectural details of what
I've been working on and post that to the list. I can do that in
parts over the next month. Once everyone has had a chance to think
about it we can decide what amendments need to be made to which
documents, including further changes to URP.

Regards,
Steven